hierarch28(1)

NAME
hierarch28 - header conversion from ESO to standard FITS

SYNOPSIS
hierarch28 [options] <FITS> [table]

DESCRIPTION

hierarch28 will convert keyword names in a FITS header to new names, using a user-provided ASCII conversion table. It is especially aimed at removing no-standard FITS features, such as the HIERARCH ESO keyword names.

hierarch28 can also perform a translation to the IRAF convention on the following four keywords: 'RA', 'DEC', 'UT' and 'LST'. IRAF requires these keywords to contain the string representation of their values, e.g.
RA = ' 09:45:14.594'
DEC = '-33:47:09.420'
UT = ' 01:17:21.950'
LST = ' 08:19:59.688'

The ESO standard (see http://archive.eso.org/dicb) defines these keywords as floating point values with the units degrees for RA/DEC and elapsed seconds since midnight for UT/LST.

In order to have this translation performed, add
RA = RA
DEC = DEC
UT = UT
LST = LST
to the conversion table.

OPTIONS

-g  This option is used to generate default translation tables.

FILES

hierarch28 expects a conversion table in input. Default name for this table is table.conv in the current working directory. Indicate another name for this file as last argument on the command-line. This ASCII file contains a list of keywords to replace, in the following format:

#
# Comment lines start with a hash '#'
# Blank lines would be ignored
#
OLDKEYWORD1 = NEWKEYWORD1
OLDKEYWORD2 = NEWKEYWORD2
etc.

Input keywords are character strings, they may contain blanks. Example:

HIERARCH ESO DET DIT = DETDIT

One important restriction is that the new keyword name may not be longer than the initial one. The program will complain that it cannot achieve search and replace if this is the case.

IMPORTANT

This programs achieves maximal speed to operate because it modifies the input file directly. Be aware that using hierarch28 on a file will modify its contents in an irreversible way!